
From: Jody McIntyre <scjody@steamballoon.com>

Use the DMA_32BIT_MASK constant from dma-mapping.h when calling
pci_set_dma_mask() or pci_set_consistent_dma_mask() These patches include
dma-mapping.h explicitly because it caused errors on some architectures
otherwise.  See http://marc.theaimsgroup.com/?t=108001993000001&r=1&w=2 for
details

Signed-off-by: Tobias Klauser <tklauser@nuerscht.ch>
Signed-off-by: Jody McIntyre <scjody@steamballoon.com>
Signed-off-by: Andrew Morton <akpm@osdl.org>
---

 drivers/ieee1394/pcilynx.c |    3 ++-
 1 files changed, 2 insertions(+), 1 deletion(-)

diff -puN drivers/ieee1394/pcilynx.c~drivers-ieee1394-pcilynxc-use-the-dma_32bit_mask-constant drivers/ieee1394/pcilynx.c
--- 25/drivers/ieee1394/pcilynx.c~drivers-ieee1394-pcilynxc-use-the-dma_32bit_mask-constant	2005-05-06 18:27:02.000000000 -0700
+++ 25-akpm/drivers/ieee1394/pcilynx.c	2005-05-06 18:27:02.000000000 -0700
@@ -43,6 +43,7 @@
 #include <linux/fs.h>
 #include <linux/poll.h>
 #include <linux/kdev_t.h>
+#include <linux/dma-mapping.h>
 #include <asm/byteorder.h>
 #include <asm/atomic.h>
 #include <asm/io.h>
@@ -1185,7 +1186,7 @@ static int __devinit add_card(struct pci
 
         error = -ENXIO;
 
-        if (pci_set_dma_mask(dev, 0xffffffff))
+        if (pci_set_dma_mask(dev, DMA_32BIT_MASK))
                 FAIL("DMA address limits not supported for PCILynx hardware");
         if (pci_enable_device(dev))
                 FAIL("failed to enable PCILynx hardware");
_
